Package: org.grails.async.transform.internal

## [Groovy] Class DelegateAsyncUtils

- org.grails.async.transform.internal.DelegateAsyncUtils

- Helps looking up the decorators

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.util.Collection<PromiseDecorator>` | `getPromiseDecorators(java.lang.Object target, java.util.Collection<PromiseDecorator> additional)` Obtains all PromiseDecorator instances for the target and additional decorators supplied

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static java.util.Collection<PromiseDecorator> getPromiseDecorators(java.lang.Object target, java.util.Collection<PromiseDecorator> additional)

      Obtains all PromiseDecorator instances for the target and additional decorators supplied

      Parameters:
        `target` - The target
        `additional` - The additional
      Returns:
        The additional promise decorators